#
# spec file for package pwlib
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pwlib
Summary:        Portable Windows Library from Equivalence Pty. Ltd
License:        MPL-1.0
Group:          System/Libraries
Version:        1.11.0
Release:        36.15
%define package_version v1_11_0
Url:            http://openh323.sourceforge.net
# https://sourceforge.net/projects/openh323
Source:         %{name}-%{package_version}-src-tar.bz2
Source2:        baselibs.conf
Patch0:         %{name}-v1_11_0-PVXMLSession.patch
Patch1:         %{name}-v1_11_0-make.patch
Patch2:         %{name}-v1_11_0-pstring-fix.patch
Patch3:         %{name}-v1_11_0-ldap.patch
Patch4:         %{name}-v1_11_0-openssl.patch
Patch5:         %{name}-v4l-2.6.38.patch
Patch6:         pwlib-gcc47.patch
Patch7:         aarch64-support.patch
Patch8:         ppc64le-support.patch
Patch9:         pwlib-bison-3.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  cyrus-sasl-devel
BuildRequires:  esound-devel
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libdv-devel
BuildRequires:  libexpat-devel
BuildRequires:  openldap2-devel
BuildRequires:  openssl-devel
%if 0%{?suse_version} >= 1210
BuildRequires:  libv4l-devel >= 0.8.4
%endif
Provides:       %{name}-plugins-alsa = %{version}-%{release}
Provides:       %{name}-plugins-oss = %{version}-%{release}
Provides:       %{name}-plugins-v4l = %{version}-%{release}
Obsoletes:      %{name}-plugins-alsa < %{version}-%{release}
Obsoletes:      %{name}-plugins-oss < %{version}-%{release}
Obsoletes:      %{name}-plugins-v4l < %{version}-%{release}

%define debug_package_requires libpt1_11 = %{version}-%{release}

%description
PWLib is a moderately large class library that was created many years
ago as a method to produce applications that run on both Microsoft
Windows and the X Window System. It was supposed to have a Macintosh
port as well but this never happened.

It is used for the OpenH323 project, see www.openh323.org for details.

%package -n libpt1_11
Summary:        The pwlib shared libs
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libpt1_11
This package includes the PWLIB library.

%package devel
Summary:        The pwlib package for developers (includes headers and scripts)
Group:          Development/Libraries/C and C++
Requires:       SDL-devel
Requires:       cyrus-sasl-devel
Requires:       libexpat-devel
Requires:       libpt1_11 = %{version}
Requires:       openldap2-devel
Requires:       openssl-devel

%description devel
This package includes header files and scripts needed for developers
using the PWLIB library.


%package plugins-v4l2
Summary:        V4L2 support for pwlib
Group:          System/Libraries
Provides:       pwlib-video-plugin
#obsolete, replaced by this package but not the same thing.
Obsoletes:      %{name}-plugins-avc
Obsoletes:      %{name}-plugins-dc

%description plugins-v4l2
This plugin enables 'video for linux' (version 2) support (e.g. for USB
cameras) for pwlib.


%prep
%setup -q -n %{name}_%{package_version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%if 0%{?suse_version} > 1120
%patch4 -p1
%endif
%if 0%{?suse_version} >= 1210
%patch5 -p1
%endif
%patch6 -p1
%patch7
%patch8 -p1
%patch9 -p0

%build
#autoreconf --force --install
autoconf --force
aclocal
cd plugins
autoconf --force
aclocal
cd ..
#automake --force-missing
export PWINSTDIR="%{_datadir}/%{name}"
%configure \
	--enable-plugins\
	--enable-v4l2\
	--disable-avc\
	--disable-dc\
	--enable-vidfile\
	--enable-alsa
#	--enable-sockagg\
#	--enable-exceptions

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fstack-protector" \
	%{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post -n libpt1_11 -p /sbin/ldconfig

%postun -n libpt1_11 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc mpl-1.0.htm History.txt
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/devices
%dir %{_libdir}/%{name}/devices/sound
%dir %{_libdir}/%{name}/devices/videoinput
%{_libdir}/%{name}/devices/sound/alsa_pwplugin.so
%{_libdir}/%{name}/devices/sound/oss_pwplugin.so
%{_libdir}/%{name}/devices/videoinput/v4l_pwplugin.so

%files -n libpt1_11
%defattr(-,root,root)
%{_libdir}/libpt.so.*

%files devel
%defattr(-,root,root)
%doc ReadMe.txt ReadMe_QOS.txt
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%attr (0644, root, root) %{_includedir}/ptbuildopts.h
%attr (0644, root, root) %{_includedir}/ptlib.h
%dir %{_includedir}/ptlib
%dir %{_includedir}/ptlib/unix
%dir %{_includedir}/ptlib/unix/ptlib
%attr (0644, root, root) %{_includedir}/ptlib/*.h
%attr (0644, root, root) %{_includedir}/ptlib/*.inl
%attr (0644, root, root) %{_includedir}/ptlib/unix/ptlib/*.h
%attr (0644, root, root) %{_includedir}/ptlib/unix/ptlib/*.inl
%dir %{_includedir}/ptclib
%attr (0644, root, root) %{_includedir}/ptclib/*.h
#%{_bindir}/asnparser
%{_bindir}/ptlib-config
%{_libdir}/libpt.so

%files plugins-v4l2
%defattr(-,root,root)
%dir %{_libdir}/%{name}/devices/videoinput
%{_libdir}/%{name}/devices/videoinput/v4l2_pwplugin.so

%changelog
* Thu Jan 22 2015 dimstar@opensuse.org
- Add pwlib-bison-3.0.patch: Fix build with Bison 3.0.
* Sun Dec 15 2013 uweigand@de.ibm.com
- ppc64le-support.patch: Use MACHTYPE ppc64le.
* Mon Dec  9 2013 uweigand@de.ibm.com
- Add ppc64le-support.patch: Support powerpc64le-linux.
* Sun Jun 16 2013 coolo@suse.com
- also buildrequire openssl-devel and require SASL in the -devel package
* Sun Jun 16 2013 jengelh@inai.de
- Turn previously implicit SASL into explicit BuildRequires
* Sun Mar 17 2013 dmueller@suse.com
- add aarch64-support.patch:
  * support aarch64
* Tue Mar 20 2012 idonmez@suse.com
- Use versioned Provides/Obsoletes
* Thu Mar 15 2012 dimstar@opensuse.org
- Add pwlib-gcc47.patch: Fix build with gcc 4.7.
* Thu Feb  9 2012 meissner@suse.de
- remove suse_update_config old call
* Thu Dec 15 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Dec  2 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Jul  7 2011 idonmez@novell.com
- Add pwlib-v4l-2.6.38.patch: use new v4l interface
* Sat Nov 20 2010 cristian.rodriguez@opensuse.org
- DC and AVC plugins are obsoleted and replaced by V4L
* Thu Apr 22 2010 chris@computersalat.de
- fix build for < 1130
  restrict openssl patch for suse_version > 1120
* Sun Apr 18 2010 coolo@novell.com
- fix build with latest openssl
* Thu Jan 14 2010 chris@computersalat.de
- update to v1_11_0
  the version needed by openh323_v1_19_0_1
- reworked patches
  o replaced
    pwlib-1.10.10.diff
    pwlib-1.10.10-make.diff
    pwlib-1.10.10-pstring-fix.diff
    pwlib-1.10.10-ldap.patch
  o with
    pwlib-v1_11_0-PVXMLSession.patch
    pwlib-v1_11_0-make.patch
    pwlib-v1_11_0-pstring-fix.patch
    pwlib-v1_11_0-ldap.patch
- add baselibs.conf as a source
- shared lib to subpkg libpt1_11
- added debug_package_requires libpt1_11
- cleanup spec
  o sort TAGS, BuildReq
  o macros
    rm > {__rm}
    name > {name}, version > {version}, ...
  o removed changelog from spec, we have a changes file
* Mon Sep  1 2008 kkeil@suse.de
- add expat-devel to build with expat again
* Mon Mar  3 2008 kkeil@suse.de
- fix missing ldap_r library, it is not for normal ldap clients
* Tue Dec  4 2007 rhafer@suse.de
- removed unneeded openldap2 (the server package) from BuildRequires
* Thu Oct  4 2007 kkeil@suse.de
- fix possible buffer overrun in Pstring functions (#309814)
* Wed Sep 19 2007 mauro@suse.de 
- Update to 1.10.10 (needed it for ekiga in gnome 2.20)
* Fri Aug 10 2007 olh@suse.de
- do not include linux/time.h before sys/time.h in configure script
* Sat Aug  4 2007 olh@suse.de
- change libdc1394-devel to libdc1394_control12-devel
* Mon Jul  9 2007 kkeil@suse.de
- change library name to make rpmlint happy (#290347)
* Thu May  3 2007 prusnak@suse.cz
- changed expat to libexpat-devel in Requires of devel subpackage
* Tue Apr 24 2007 maw@suse.de
- Update to version 1.10.7
  - bugfix release
* Fri Mar 30 2007 aj@suse.de
- Add bison, flex to BuildRequires.
* Tue Feb 27 2007 kkeil@suse.de
- fix configure.ac to detect atomic types for gcc 4.2
* Wed Feb 14 2007 kkeil@suse.de
- downgrade to current stable release 1.10.4
* Mon Oct  2 2006 kkeil@suse.de
- remove unused patches
* Tue Aug 22 2006 sbrabec@suse.cz
- Fixed plugindir to not search in the whole home directory.
- Enabled alsa_default patch from Sourceforge tracker.
* Wed Aug  9 2006 sbrabec@suse.cz
- Require devel packages referenced in ptbuildopts.mak.
* Tue Aug  8 2006 sbrabec@suse.cz
- Updated to version 1.11.1:
  * shared memory support
  * video file support
  * compilation fixes
  * bug fixes
  * compatibility with SSL v0.9.8b
* Mon Jan 30 2006 aj@suse.de
- Fix BuildRequires.
* Sun Jan 29 2006 coolo@suse.de
- fixing BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 kkaempf@suse.de
- build with '-fstack-protector' to catch stack overflows
* Mon Dec 19 2005 kkaempf@suse.de
- add /usr/bin/ptlib-config to -devel filelist.
* Tue Nov 22 2005 kkaempf@suse.de
- add -fno-strict-aliasing to make.
* Sun Oct 23 2005 ro@suse.de
- added libdv-devel to nfb
* Tue Oct 18 2005 kkaempf@suse.de
- add '-DLDAP_DEPRECATED' to cflags.
- fix arm-style friend-injection and other things for GCC 4.1.
- remove tools/msvc6chk directory from source (#91188).
* Fri Oct 14 2005 ro@suse.de
- remove some invalid casts
* Tue Jul 26 2005 kkaempf@suse.de
- update to 1.9.1, lots of fixes:
  better video subsystem, better network timeout detection,
  IPv6 improvements
- move libpt.so to pwlib-devel (#86488).
- fix typos in changelog.
* Mon May 23 2005 schwab@suse.de
- Fix missing declaration.
* Fri Apr  8 2005 kkaempf@suse.de
- update to 1.9.0
- some gcc4 fixes (virtual destructors)
- some automake fixes (Header Present But Cannot Be Compiled)
* Wed Jan 26 2005 kkaempf@suse.de
- Drop requirement for 'pwlib-video-plugin' since one
  (pwlib-plugins-v4l) is already included.
* Mon Jan 10 2005 schwab@suse.de
- Fix requires.
* Thu Dec 16 2004 kkaempf@suse.de
- update to 1.8.3
- merge subpackages pwlib-plugins-alsa, pwlib-plugins-oss,
  and pwlib-plugins-v4l back to main package.
- new subpackage pwlib-plugins-v4l2.
* Wed Aug 18 2004 kkaempf@suse.de
- let ptlib-config report correct library path on 64bit systems.
* Tue Aug 17 2004 kkaempf@suse.de
- update to 1.8.0
* Mon Mar 22 2004 kkaempf@suse.de
- update to 1.6.5, drop all SUSE patches (they're included now !)
- improvements for NAT traversal
* Fri Mar 19 2004 kkaempf@suse.de
- fix %%attr() correctly this time.
* Thu Mar 18 2004 kkaempf@suse.de
- fix %%attr() for *.h files (#36388)
* Mon Mar  8 2004 ro@suse.de
- added libdc1394-devel to neededforbuild
* Fri Mar  5 2004 kkaempf@suse.de
- plugin directory belongs to main file
* Thu Mar  4 2004 kkaempf@suse.de
- update to final 1.6.3
* Mon Mar  1 2004 kkaempf@suse.de
- split the plugins off to separate files to reduce dependencies
  and make the package compatible to the maintainer's
  recommendations
* Tue Feb 24 2004 kkaempf@suse.de
- include plugins into the main package
* Mon Feb 23 2004 kkaempf@suse.de
- drop -fPIC from OPTCCFLAGS, it's duplicate
* Mon Feb 23 2004 kkaempf@suse.de
- fix library name for ppc64
* Sat Feb 21 2004 kkaempf@suse.de
- update to 1.6.3pre1
- enable plugins
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Sep  9 2003 kkaempf@suse.de
- Fixed alphaev67 naming problem.
* Mon Sep  8 2003 meissner@suse.de
- Fixed powerpc64 naming problem.
* Mon Aug 25 2003 kkaempf@suse.de
- fix 'swab()' ambiguity
* Sat Aug 16 2003 ro@suse.de
- avoid including linux/device.h
* Fri Jul 25 2003 kkaempf@suse.de
- drop "-fno-rtti" from configure. The gnugk gatekeeper needs rtti.
* Wed Jul 23 2003 kkaempf@suse.de
- make ptlib-config accessible in normal path.
* Thu Jul  3 2003 kkaempf@suse.de
- update to 1.5.2 (from CVS, as advised on openh323 mailing list)
- fix %%build in specfile, pwlib uses autoconf/automake now
- install libraries to %%libdir,
  install includes to /usr/include/pwlib,
  install shared files to /usr/share/pwlib
- added support for ieee1394 (Firewire) cameras
- enable IPv6 (untested)
* Fri Feb  7 2003 kkaempf@suse.de
- disable IPv6, it's still experimental.
* Thu Feb  6 2003 kkaempf@suse.de
- update to 1.4.9
* Fri Jan 24 2003 meissner@suse.de
- ppc64 port added.
- Pass RPM_OPT_FLAGS to compile, so we get -fsigned-char and/or
  - mminimal-toc if needed.
* Wed Jan 15 2003 kkaempf@suse.de
- add -fPIC to OPTCCFLAGS as well.
- fix .so suffixes in symlinks for 1.4.x
* Wed Jan  8 2003 kkaempf@suse.de
- update to 1.4.7
* Thu Dec 19 2002 kkaempf@suse.de
- resolve gcc 3.3 ambiguities
* Mon Dec 16 2002 kkaempf@suse.de
- update to 1.4.6
* Mon Nov 18 2002 kkaempf@suse.de
- gcc 3.x deprecates strstream.h, use strsteam instead
* Fri Nov 15 2002 kkaempf@suse.de
- add expat for xml support, needed by openivr
- update to 1.4.4
* Wed Nov 13 2002 kkaempf@suse.de
- update to 1.4.3
* Thu Nov  7 2002 ro@suse.de
- update to current 1.4.2
* Sat Aug 17 2002 kkaempf@suse.de
- Update to 1.3.5:
  Fixed memory leaks
  Added lots of stuff from OpalVXML
  Add support for GetCyberPatrol
* Tue Aug  6 2002 kkaempf@suse.de
- Update to 1.3.4
* Wed Jul 10 2002 kkaempf@suse.de
- Update to 1.3.3. Needed for openam 1.9.3.
* Tue Jul  9 2002 kkaempf@suse.de
- Update to 1.3.2.
* Thu Jun 27 2002 schwab@suse.de
- Fix typo in last change.
* Thu Jun 27 2002 schwab@suse.de
- Define P_64BIT in header to make them self-contained.
* Sun Jun 23 2002 ro@suse.de
- use -fPIC for objects that will be used for a shared lib
* Wed May 22 2002 ro@suse.de
- update to 1.2.19
* Sun May 12 2002 ro@suse.de
- added x86_64 recognition
* Wed Apr 17 2002 ro@suse.de
- make operator= public (not protected) in asner.h
* Wed Apr 17 2002 ro@suse.de
- don't define PINDEX as int but fix code instead
  (provide operator with int as argument) to fix segfault
* Tue Apr 16 2002 ro@suse.de
- update to 1.2.15
- define PINDEX as "int" for operator[] arg mess with gcc-3
* Tue Jan 29 2002 kkaempf@suse.de
- Update to 1.2.11
* Sun Jan 27 2002 ro@suse.de
- fix for updated bison
* Wed Jan 23 2002 schwab@suse.de
- Fix for gcc3.
* Tue Dec 18 2001 kkaempf@suse.de
- Update to 1.2.8
- Use %%{_libdir} in Makefiles
* Mon Dec 17 2001 kkaempf@suse.de
- Fix .so symlinks
- Use %%{_libdir} in .spec file.
* Mon Dec 17 2001 kkaempf@suse.de
- Update to 1.2.7
* Mon Dec  3 2001 adrian@suse.de
- fix mips and arm recognition.
* Mon Dec  3 2001 schwab@suse.de
- Fix getdate parser to use %%pure_parser instead of YYPURE.
- Fix endian configuration: alpha is little endian, s390* is big endian.
* Fri Oct 19 2001 schwab@suse.de
- Fix use of <localeinfo.h>.
* Fri Aug 17 2001 kkaempf@suse.de
- update to 1.1.36
  fix ppc recognition.
* Thu Aug 16 2001 kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Mon Aug  6 2001 kkaempf@suse.de
- update to pwlib-1.1.34
* Wed Jun 20 2001 kkaempf@suse.de
- fix machtype recognition for s390/s390x
- mark s390x as 64bit
* Tue Jun 19 2001 kkaempf@suse.de
- add s390x as target
- clean up specfile
* Wed Apr 11 2001 froh@suse.de
- recognize s390
* Fri Mar  2 2001 kkaempf@suse.de
- fix sparc recognition in unix.mak
* Thu Feb 15 2001 kkaempf@suse.de
- recognize sparc and sparc64
- set P_64BIT define for ia64
* Wed Feb 14 2001 kkaempf@suse.de
- properly call va_end() after va_start() inside a block
  (newer gcc checks for this)
- override MACHTYPE to contain architecture only on alpha
* Thu Jan  4 2001 kkaempf@suse.de
- provide .so in -devel package only
* Wed Jan  3 2001 kkaempf@suse.de
- move files from /opt/h323/pwlib to /usr/lib/pwlib
  install libraries in /usr/lib
  install development components in /usr/lib/pwlib
* Tue Jan  2 2001 kkaempf@suse.de
- update to maintenance release 1.1pl19
* Mon Nov 20 2000 kkaempf@suse.de
- recognize ia64 in MACHTYPE
* Thu Nov 16 2000 kkaempf@suse.de
- use %%doc in filelist
* Wed Nov 15 2000 kkaempf@suse.de
- fixed filelist, *.inl are include files :-}
* Wed Nov 15 2000 kkaempf@suse.de
- split pwlib and pwlib-devel
  added minimal readme to pwlib-devel
* Fri Nov 10 2000 kkaempf@suse.de
- fix MACHTYPE for sparc and alpha
* Fri Nov  3 2000 kkaempf@suse.de
- fixed neededforbuild, removed bison
* Tue Sep  5 2000 kkaempf@suse.de
- update to 1.1.18
* Thu Jul 13 2000 kkaempf@suse.de
- fix namespace std bug
* Wed Jul 12 2000 kkaempf@suse.de
- fix sparc machtype
* Wed Jul 12 2000 kkaempf@suse.de
- cvs update
* Mon Jul 10 2000 kkaempf@suse.de
- fix specfile for alpha and ia64
* Tue Jul  4 2000 kkaempf@suse.de
- fix dirpath in specfile
* Mon Jul  3 2000 kkaempf@suse.de
- fix build error
* Mon Jun 26 2000 kkaempf@suse.de
- fix libname for alpha
* Wed Jun 21 2000 ro@suse.de
- specfile fix
* Wed Jun 21 2000 kkaempf@suse.de
- adapt to non-x86 architectures
* Tue Jun 20 2000 kkaempf@suse.de
- created package
